Subject: bug#22746: 25.0.90; OS X: Visual bell hard to see

From: Xu Xin <[email-masked]>
Date: Sat, 20 Feb 2016 10:18:44 -0500

On Sat, Feb 20, 2016 at 7:58 AM, Anders Lindgren <[email-masked]> wrote:
> Hi!
>
>> The visual bell on OS X used to be a large square popped up in the middle
>> of
>> the screen, which was easy to see.  Now it is a very small warning icon,
>> and I
>> often miss it.  Would it be possible to make the warning icon the same
>> size as
>> the square was, or if the icon can only be rendered at that size, provide
>> an
>> option for the old square?
>
> The old code didn't work on El Capitan -- there were some visual artifacts
> left behind afterwards.
>
> Since I didn't have access to a machine running El Capitan, I replaced the
> code with something that work on all OS versions.
>
> It might be possible to increase the size -- however, the symbol is a
> built-in image so there is a risk that an enlarged version will be
> pixelated.
>
> I'm open to other solutions to this. Unfortunately, I don't have the time to
> work on it myself anymore.
>
>     -- Anders
>

Emacs mac port has the option to flash the top line and mini buffer as
visible bell, can we introduce this feature to Nextstep port?

- Xin